/* Style global */

html, body {
  margin: 0;
  padding: 0;
  width: 100%;
}

*::before,
*::after {
  box-sizing: border-box;
}

body {
    font-family: 'Montserrat', sans-serif;
    font-size: clamp(0.5rem,2vw,1rem);
    box-sizing: border-box;
    background-color: rgb(244, 241, 238);
    background-attachment: fixed;
    color: #333;
}


a {
    color: #3F4644;
    text-decoration: none;
}


span {
    display: flex;
    padding: 3em 1em;
    align-items: center;
}

.container-description {
    padding: 1em;
    margin-left: 1em;
    text-align: left;
}


.img-lulu-vincent-ordi {
    height: 30vh;
    object-fit: contain;
}

.img-lulu-vincent-mobile{
    display: none;
}


.intro-iles {
    padding: 1em;
    text-align: left;
}

p {
    margin: auto;
}

h2 {
    margin: 0em 0em 1em 0em;
}

main {
    margin: auto;
    text-align: center;
}


.btn-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin: 0em 1em 0em 1em;
}


.island-btn {
    background-color: #C6D3D1;
    color: white;
    border: none;
    margin: 0em 0.5em 1em 0.5em;
    width: 10em;
    font-weight: 500;
    cursor: pointer;
    transition: all 0.3s ease;
    text-decoration: none;
}

.island-btn:hover {
    background-color: #E9BFA7;
    transform: translateY(-3px);
    box-shadow: 0 4px 8px rgba(0,0,0,0.2);
}

.img-ile {
    width: 95%;
    margin-top: 0.2em;
}


footer {
    text-align: center;
    padding: 30px;
    font-size: 0.9em;
    color: #666;
}


@media screen and (max-width:600px){
    body{
        font-size: 4vw;
    }

    .img-lulu-vincent-mobile{
        display: flex;
        width: 100%;
        margin-bottom: 1rem;
        object-fit: contain;
    }

    .img-lulu-vincent-ordi{
        display: none;
    }

    span{
        display: block;
    }

    .container-description{
        padding: 0;
        margin: 0;
    }
}